Bug 1282260 - Crash in OsLookupColor
Crash in OsLookupColor
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
24
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 16:06 EST by Jan Kratochvil
Modified: 2017-01-03 14:24 EST (History)
5 users (show)

See Also:
Fixed In Version: xorg-x11-drv-intel-2.99.917-26.20160929.fc25.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:57:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2015-11-15 16:06:42 EST
Description of problem:
Crash after upgraded F21->F23.
Maybe it is not due to the Intel driver, I have no idea.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.99.917-16.20150729.fc23.x86_64
pixman-0.33.4-1.fc23.x86_64
xorg-x11-server-Xorg-1.18.0-1.fc23.x86_64
glibc-2.22-5.fc23.x86_64

How reproducible:
Crashed twice in 5 minutes after reboot.
Then I rather did not play any YouTube video in a browsed (no Flash) and so far it stays running for an hour.

Steps to Reproduce:
See above.

Actual results:
(EE) Backtrace:
(EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59afb9]
(EE) 1: /lib64/libc.so.6 (__restore_rt+0x0) [0x7ff839231b1f]
(EE) 2: /lib64/libpixman-1.so.0 (pixman_region_selfcheck+0x35) [0x7ff83a37eb15]
(EE) 3: /lib64/libpixman-1.so.0 (pixman_region_fini+0x9) [0x7ff83a37ec89]
(EE) 4: /usr/lib64/xorg/modules/drivers/intel_drv.so (_init+0x4e916) [0x7ff833ec4fa6]
(EE) 5: /usr/lib64/xorg/modules/drivers/intel_drv.so (_init+0x4c4e1) [0x7ff833ec0051]
(EE) 6: /usr/libexec/Xorg (DamageRegionAppend+0x621) [0x51eeb1]
(EE) 7: /usr/libexec/Xorg (CompositeRegisterImplicitRedirectionException+0x1bd8) [0x4ca2b8]
(EE) 8: /usr/libexec/Xorg (CompositeRegisterImplicitRedirectionException+0x2458) [0x4cb548]
(EE) 9: /usr/libexec/Xorg (CompositeRegisterImplicitRedirectionException+0x28d9) [0x4cbe29]
(EE) 10: /usr/libexec/Xorg (BlockHandler+0x4a) [0x43b30a]
(EE) 11: /usr/libexec/Xorg (WaitForSomething+0x163) [0x593903]
(EE) 12: /usr/libexec/Xorg (SendErrorToClient+0x10e) [0x4367ee]
(EE) 13: /usr/libexec/Xorg (remove_fs_handlers+0x453) [0x43a9e3]
(EE) 14: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7ff83921d580]
(EE) 15: /usr/libexec/Xorg (_start+0x29) [0x424ce9]
(EE) 16: ? (?+0x29) [0x29]
(EE) 
(EE) Segmentation fault at address 0x0
(EE) 
Fatal server error:
(EE) Caught signal 11 (Segmentation fault). Server aborting

Expected results:
No crash.

Additional info:
I do not yet have any ABRT output / core file.
Comment 1 Jan Kratochvil 2015-11-16 10:22:45 EST
Apparenty deleting /usr/lib64/xorg/modules/drivers/intel_drv.so and thus switching to "modesetting" and (?) fbdevhw "fixes" that.
This is sure not a proof intel_drv.so is buggy.
Comment 2 Mark van Rossum 2015-12-30 10:54:57 EST
Maybe same as bug 1294536.
Can you play a mp4 file to test?
Comment 3 Ari Lemmke 2016-01-30 16:23:54 EST
Have same problem. Using NVIDIA drivers (340.96) and HP EliteBook oldie.

Firefox caused X11 to crash.

Updated F22 -> F23, but saw this error also with latest F22 versions.

[  8144.826] (EE) Backtrace:
[  8144.846] (EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59afb9]

There is something more generic wrong within X11 because the
same error appears in quite a many web pages:

https://www.google.fi/search?num=100&newwindow=1&q=+%2Fusr%2Flibexec%2FXorg+%28OsLookupColor%2B0x139%29+%5B0x59afb9%5D

After X11 dies .. some text will appear and keyboard does not work
and naturally not console except power button.

So X11 should die more nicely.
Comment 4 Jan Kratochvil 2016-05-15 17:21:52 EDT
I was getting the crash in pixman_region_fini now:
  Xorg[18990] general protection ip:7f909b9b61c9 sp:7ffde06f0528 error:0 in libpixman-1.so.0.34.0[7f909b95f000+9f000]
  pixman-0.34.0-1.fc23.x86_64

As this function only calls free() I disabled it.  But then I got:
  Xorg[19255] general protection ip:7f607ecb88e0 sp:7fff203de9d0 error:0 in intel_drv.so[7f607ec5c000+179000]
  xorg-x11-drv-intel-2.99.917-19.20151206.fc23.x86_64
which is in intel_drv's free_list().

So I have deleted /usr/lib64/xorg/modules/drivers/intel_drv.so (it got in by an xorg-x11-drv-intel upgrade - so I have excluded it now in DNF) and hopefully my machine stops crashing several times a day.

Unfortunately I can no longer provide the backtrace as /var/log/Xorg.* are no longer generated, I guess they are now jailed somewhere deep inside systemd.
Comment 5 Fedora End Of Life 2016-11-24 08:27:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 10:57:00 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Jan Kratochvil 2017-01-03 14:24:56 EST
I no longer see the crashes in F-25: xorg-x11-drv-intel-2.99.917-26.20160929.fc25.x86_64
(not running Wayland if it matters)
It was still crashing in F-24: xorg-x11-drv-intel-2.99.917-24.20160712.fc24.x86_64
Sure it could be also by a change in some other component.

Note You need to log in before you can comment on or make changes to this bug.